Bug 709915 - Kernel OOPS in do_writepages
Summary: Kernel OOPS in do_writepages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-01 23:57 UTC by Bojan Smojver
Modified: 2012-04-11 21:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-11 21:55:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Bojan Smojver 2011-06-01 23:57:13 UTC
Description of problem:
Kernel OOPS in do_writepages, it seems.

Version-Release number of selected component (if applicable):
kernel-2.6.38.6-27.fc15.x86_64

How reproducible:
Once thus far.

Steps to Reproduce:
1. Not sure, but this machine was hibernated/thawed twice. With F-14 kernels, there used to be all kinds of hibernate/thaw problem, so maybe it's related. Just sayin'...
  
Actual results:
OOPS.

Expected results:
No OOPS.

Additional info:
[36479.857830] BUG: unable to handle kernel NULL pointer dereference at 0000000000000018
[36479.861331] IP: [<ffffffff810e06ca>] do_writepages+0x16/0x2a
[36479.865032] PGD 0 
[36479.868666] Oops: 0000 [#1] SMP 
[36479.872168] last sysfs file: /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:0a/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/voltage_now
[36479.875703] CPU 0 
[36479.875726] Modules linked in: nfs lockd fscache nfs_acl auth_rpcgss tcp_lp fuse sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm sco bnep l2cap snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel btusb snd_hda_codec snd_hwdep bluetooth arc4 snd_seq iwlagn snd_seq_device iwlcore snd_pcm mac80211 uvcvideo videodev iTCO_wdt v4l2_compat_ioctl32 snd_timer snd_page_alloc i2c_i801 microcode cfg80211 intel_ips iTCO_vendor_support e1000e thinkpad_acpi rfkill snd soundcore wmi joydev ipv6 sdhci_pci sdhci firewire_ohci firewire_core mmc_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[36479.894889] 
[36479.898515] Pid: 15233, comm: flush-253:1 Not tainted 2.6.38.6-27.fc15.x86_64 #1 LENOVO 4313CTO/4313CTO
[36479.902147] RIP: 0010:[<ffffffff810e06ca>]  [<ffffffff810e06ca>] do_writepages+0x16/0x2a
[36479.905783] RSP: 0018:ffff88018559fc30  EFLAGS: 00010206
[36479.909425] RAX: 0000000000000000 RBX: ffff880230f59670 RCX: 0000000000000001
[36479.913119] RDX: 0000000000000000 RSI: ffff88018559fd68 RDI: ffff880230f597b8
[36479.916814] RBP: ffff88018559fc30 R08: ffff880230f58f98 R09: ffffffff81b3a2e0
[36479.920376] R10: ffff8800bb00ff30 R11: ffff8800bb00ff30 R12: ffff88022ee58910
[36479.923814] R13: ffff88018559fd68 R14: ffff880230f597b8 R15: ffff88022ee58998
[36479.927257] FS:  0000000000000000(0000) GS:ffff8800bb000000(0000) knlGS:0000000000000000
[36479.930746] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[36479.934232] CR2: 0000000000000018 CR3: 0000000001a03000 CR4: 00000000000006f0
[36479.937767] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[36479.941317] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[36479.944864] Process flush-253:1 (pid: 15233, threadinfo ffff88018559e000, task ffff8801c33fae40)
[36479.948452] Stack:
[36479.952011]  ffff88018559fc70 ffffffff8113e4f2 0000000000000001 ffff88018559fd68
[36479.955655]  ffff88022ee58910 ffff88022ede8000 ffff88022ee589a8 ffff88022ee58998
[36479.959254]  ffff88018559fcd0 ffffffff8113e847 ffff88018559fcd0 0000000000000000
[36479.962824] Call Trace:
[36479.966354]  [<ffffffff8113e4f2>] writeback_single_inode+0x96/0x194
[36479.969931]  [<ffffffff8113e847>] writeback_sb_inodes+0xa1/0x12b
[36479.973492]  [<ffffffff8113f65c>] writeback_inodes_wb+0x163/0x175
[36479.977030]  [<ffffffff8113f8ad>] wb_writeback+0x23f/0x35a
[36479.980559]  [<ffffffff81080b33>] ? arch_local_irq_save+0x15/0x1b
[36479.984091]  [<ffffffff8113fb0b>] wb_do_writeback+0x143/0x19d
[36479.987612]  [<ffffffff81474623>] ? schedule_timeout+0xb0/0xde
[36479.991123]  [<ffffffff8113fbed>] bdi_writeback_thread+0x88/0x1e5
[36479.994620]  [<ffffffff8113fb65>] ? bdi_writeback_thread+0x0/0x1e5
[36479.998102]  [<ffffffff8106eb53>] kthread+0x84/0x8c
[36480.001556]  [<ffffffff8100a9e4>] kernel_thread_helper+0x4/0x10
[36480.005006]  [<ffffffff8106eacf>] ? kthread+0x0/0x8c
[36480.008450]  [<ffffffff8100a9e0>] ? kernel_thread_helper+0x0/0x10
[36480.011884] Code: 00 00 40 00 76 0b 48 c7 05 a8 00 95 00 00 04 00 00 58 5b 5d c3 55 48 89 e5 0f 1f 44 00 00 31 c0 48 83 7e 18 00 7e 16 48 8b 47 58 
[36480.012197]  8b 40 18 48 85 c0 74 04 ff d0 eb 05 e8 6c f4 ff ff 5d c3 55 
[36480.019462] RIP  [<ffffffff810e06ca>] do_writepages+0x16/0x2a
[36480.023187]  RSP <ffff88018559fc30>
[36480.026885] CR2: 0000000000000018
[36480.064227] ---[ end trace 0547ddac7b17c550 ]---

Comment 1 Bojan Smojver 2011-06-02 00:29:27 UTC
And another one, different place now:
---------------------
[38719.164035] BUG: unable to handle kernel NULL pointer dereference at           (null)
[38719.167002] IP: [<ffffffff8111fde2>] __dentry_open+0x17f/0x283
[38719.169947] PGD 22cf58067 PUD 1f23bc067 PMD 0 
[38719.172800] Oops: 0000 [#2] SMP 
[38719.175538] last sysfs file: /sys/devices/system/cpu/cpu3/cache/index2/shared_cpu_map
[38719.178321] CPU 0 
[38719.178339] Modules linked in: nfs lockd fscache nfs_acl auth_rpcgss tcp_lp fuse sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm sco bnep l2cap snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel btusb snd_hda_codec snd_hwdep bluetooth arc4 snd_seq iwlagn snd_seq_device iwlcore snd_pcm mac80211 uvcvideo videodev iTCO_wdt v4l2_compat_ioctl32 snd_timer snd_page_alloc i2c_i801 microcode cfg80211 intel_ips iTCO_vendor_support e1000e thinkpad_acpi rfkill snd soundcore wmi joydev ipv6 sdhci_pci sdhci firewire_ohci firewire_core mmc_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
[38719.193209] 
[38719.196227] Pid: 15806, comm: prelink Tainted: G      D     2.6.38.6-27.fc15.x86_64 #1 LENOVO 4313CTO/4313CTO
[38719.199366] RIP: 0010:[<ffffffff8111fde2>]  [<ffffffff8111fde2>] __dentry_open+0x17f/0x283
[38719.202742] RSP: 0018:ffff8801ed1b3cf8  EFLAGS: 00010206
[38719.205865] RAX: 0000000000000000 RBX: ffff8801e1d3de40 RCX: 0000000000000001
[38719.208989] RDX: 0000000000000004 RSI: 0000000000000001 RDI: ffff8801e1d3deb0
[38719.212383] RBP: ffff8801ed1b3d48 R08: ffff880230f5afd0 R09: 0000000000000000
[38719.215507] R10: ffff88022de31e40 R11: 0000000000000101 R12: ffff88022de31e40
[38719.218649] R13: ffff88022ee98000 R14: 0000000000000000 R15: ffff880230f5afd0
[38719.221768] FS:  00000000020018c0(0063) GS:ffff8800bb000000(0000) knlGS:0000000000000000
[38719.224885] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[38719.227990] CR2: 0000000000000000 CR3: 000000022cedc000 CR4: 00000000000006f0
[38719.231109] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[38719.234232] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[38719.237331] Process prelink (pid: 15806, threadinfo ffff8801ed1b2000, task ffff880232db0000)
[38719.240465] Stack:
[38719.243598]  ffff8801ed1b3d08 ffffffff81475826 ffff8801ed1b3d28 ffff880230953d80
[38719.246805]  ffff880230953d80 ffff8801ed1b3e20 ffff8801ed1b3e20 0000000000000000
[38719.250012]  0000000000000024 0000000000008000 ffff8801ed1b3d78 ffffffff81120d38
[38719.253250] Call Trace:
[38719.256455]  [<ffffffff81475826>] ? _raw_spin_lock+0xe/0x10
[38719.259690]  [<ffffffff81120d38>] nameidata_to_filp+0x60/0x67
[38719.262923]  [<ffffffff8112cbe7>] finish_open+0xa1/0x17f
[38719.266141]  [<ffffffff8112bd30>] ? do_path_lookup+0xca/0xf6
[38719.269363]  [<ffffffff8112d12a>] do_filp_open+0x186/0x60a
[38719.272580]  [<ffffffff8146f977>] ? __slab_free+0x27/0xeb
[38719.275802]  [<ffffffff81124e83>] ? might_fault+0x21/0x23
[38719.279013]  [<ffffffff8104127e>] ? should_resched+0xe/0x2d
[38719.282114]  [<ffffffff814742d0>] ? _cond_resched+0xe/0x22
[38719.285124]  [<ffffffff81232601>] ? might_fault+0x21/0x23
[38719.288101]  [<ffffffff81136ca9>] ? alloc_fd+0x72/0x11d
[38719.291071]  [<ffffffff81120d9f>] do_sys_open+0x60/0xf2
[38719.294024]  [<ffffffff81120e51>] sys_open+0x20/0x22
[38719.296984]  [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b
[38719.299937] Code: 85 f6 74 0d 48 89 de 4c 89 ff 41 ff d6 85 c0 75 6d 48 89 df e8 1f 15 0e 00 48 8b 83 b8 00 00 00 81 63 38 3f fc ff ff 48 8d 7b 70 
[38719.300205]  8b 00 48 8b b0 40 01 00 00 e8 61 0a fc ff f6 43 39 40 0f 84 
[38719.306462] RIP  [<ffffffff8111fde2>] __dentry_open+0x17f/0x283
[38719.309639]  RSP <ffff8801ed1b3cf8>
[38719.313009] CR2: 0000000000000000
[38719.374473] ---[ end trace 0547ddac7b17c551 ]---
---------------------

Time for a reboot. This stinks of hibernate/thaw issues from the past...

Comment 2 Dave Jones 2012-04-11 16:56:35 UTC
I wonder if this is another case of the i915 corruption problem ?
Still seeing this at all ?

Comment 3 Bojan Smojver 2012-04-11 21:55:15 UTC
It is. Sorry, I was just lazy to close such bugs that I had opened.


Note You need to log in before you can comment on or make changes to this bug.